Upstream information

CVE-2015-2059 at MITRE

Description

The stringprep_utf8_to_ucs4 function in libin before 1.31, as used in jabberd2, allows context-dependent attackers to read system memory and possibly have other unspecified impact via invalid UTF-8 characters in a string, which triggers an out-of-bounds read.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 1173590 [RESOLVED / FIXED], 919214 [NEW], 923241 [RESOLVED / FIXED], 937096 [RESOLVED / FIXED], 937097 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/default-http-backend:beta1
Container caasp/v4/dnsmasq-nanny:2.78
Container caasp/v4/flannel:0.9.1
Container caasp/v4/haproxy:beta1
Container caasp/v4/kubedns:beta1
Container caasp/v4/nginx-ingress-controller:beta1
Container caasp/v4/openldap:beta1
Container caasp/v4/pause:1.0.0
Container caasp/v4/pv-recycler-node:8.25
Container caasp/v4/salt-api:beta1
Container caasp/v4/salt-master:beta1
Container caasp/v4/salt-minion:beta1
Container caasp/v4/sidecar:beta1
Container caasp/v4/velum:4.0.0
Container sles12/caasp-dex:2.7.1
Image sles12sp3-caasp-dex-image
  • libidn11 >= 1.28-4.1
SUSE Linux Enterprise Desktop 12 SP1
  • libidn >= 1.28-4.1
  • libidn11 >= 1.28-4.1
  • libidn11-32bit >= 1.28-4.1
  • wget >= 1.14-10.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1228
SUSE-SLE-DESKTOP-12-SP1-2016-1309
SUSE Linux Enterprise Desktop 12 SP2
  • libidn11 >= 1.28-4.1
  • libidn11-32bit >= 1.28-4.1
  • wget >= 1.14-10.3
SUSE Linux Enterprise Desktop 12 SP3
  • libidn11 >= 1.28-4.1
  • libidn11-32bit >= 1.28-4.1
  • wget >= 1.14-20.1
SUSE Linux Enterprise Desktop 12 SP4
  • libidn11 >= 1.28-5.3.1
  • libidn11-32bit >= 1.28-5.3.1
  • wget >= 1.14-21.7.1
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libidn-tools >= 1.28-5.6.1
  • libidn11 >= 1.28-5.6.1
  • libidn11-32bit >= 1.28-5.6.1
  • wget >= 1.14-21.10.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libidn-devel >= 1.34-1.9
  • libidn11 >= 1.34-1.9
  • libidn11-32bit >= 1.34-1.9
  • libidn2-0 >= 2.0.4-1.23
  • libidn2-0-32bit >= 2.0.4-1.23
  • libidn2-devel >= 2.0.4-1.23
SUSE Linux Enterprise Module for Basesystem 15
  • libidn-devel >= 1.34-1.9
  • libidn11 >= 1.34-1.9
  • libidn2-0 >= 2.0.4-1.23
  • libidn2-0-32bit >= 2.0.4-1.23
  • libidn2-devel >= 2.0.4-1.23
SUSE Linux Enterprise Module for Containers 12
  • sles12-docker-image >= 1.1.4-20171002
  • sles12sp1-docker-image >= 1.0.7-20171002
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1672
SUSE-SLE-Module-Containers-12-2017-1673
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libidn >= 1.10-6.1
  • libidn-32bit >= 1.10-6.1
  • libidn-x86 >= 1.10-6.1
Patchnames:
slessp4-libidn-12739
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libidn >= 1.28-4.1
  • libidn-tools >= 1.28-4.1
  • libidn11 >= 1.28-4.1
  • libidn11-32bit >= 1.28-4.1
  • wget >= 1.14-10.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1228
SUSE-SLE-SERVER-12-SP1-2016-1309
SUSE Linux Enterprise Server 12 SP2
  • libidn-tools >= 1.28-4.1
  • libidn11 >= 1.28-4.1
  • libidn11-32bit >= 1.28-4.1
  • wget >= 1.14-10.3
SUSE Linux Enterprise Server 12 SP3
  • libidn-tools >= 1.28-4.1
  • libidn11 >= 1.28-4.1
  • libidn11-32bit >= 1.28-4.1
  • wget >= 1.14-20.1
SUSE Linux Enterprise Server 12 SP4
  • libidn-tools >= 1.28-5.3.1
  • libidn11 >= 1.28-5.3.1
  • libidn11-32bit >= 1.28-5.3.1
  • wget >= 1.14-21.7.1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libidn-tools >= 1.28-4.1
  • libidn11 >= 1.28-4.1
  • wget >= 1.14-10.3
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libidn >= 1.10-6.1
  • libidn-devel >= 1.10-6.1
Patchnames:
sdksp4-libidn-12739
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libidn >= 1.28-4.1
  • libidn-devel >= 1.28-4.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1228
SUSE Linux Enterprise Software Development Kit 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libidn-devel >= 1.28-4.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libidn-devel >= 1.28-5.3.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libidn-devel >= 1.28-5.6.1
openSUSE 13.1
  • libidn >= 1.31-7.3.1
  • libidn-debugsource >= 1.31-7.3.1
  • libidn-devel >= 1.31-7.3.1
  • libidn-tools >= 1.31-7.3.1
  • libidn-tools-debuginfo >= 1.31-7.3.1
  • libidn11 >= 1.31-7.3.1
  • libidn11-32bit >= 1.31-7.3.1
  • libidn11-debuginfo >= 1.31-7.3.1
  • libidn11-debuginfo-32bit >= 1.31-7.3.1
Patchnames:
openSUSE-2015-497
openSUSE Leap 15.0
  • libidn11 >= 1.34-lp150.1.2
  • libidn2-0 >= 2.0.4-lp150.1.10
  • libidn2-0-32bit >= 2.0.4-lp150.1.10
Patchnames:
openSUSE Leap 15.0 GA libidn11
openSUSE Leap 15.0 GA libidn2-0
openSUSE Leap 42.1
  • libidn >= 1.28-6.1
  • libidn-debugsource >= 1.28-6.1
  • libidn-devel >= 1.28-6.1
  • libidn-tools >= 1.28-6.1
  • libidn-tools-debuginfo >= 1.28-6.1
  • libidn11 >= 1.28-6.1
  • libidn11-32bit >= 1.28-6.1
  • libidn11-debuginfo >= 1.28-6.1
  • libidn11-debuginfo-32bit >= 1.28-6.1
  • wget >= 1.14-4.1
  • wget-debuginfo >= 1.14-4.1
  • wget-debugsource >= 1.14-4.1
Patchnames:
openSUSE-2016-1014
openSUSE-2016-1067
openSUSE Leap 42.2
  • libidn-devel >= 1.28-6.2
  • libidn11 >= 1.28-6.2
  • wget >= 1.14-4.2
Patchnames:
openSUSE Leap 42.2 GA libidn-devel
openSUSE Leap 42.2 GA wget
openSUSE Leap 42.3
  • libidn-devel >= 1.28-8.3
  • libidn11 >= 1.28-8.3
  • wget >= 1.14-10.3
Patchnames:
openSUSE Leap 42.3 GA libidn-devel
openSUSE Leap 42.3 GA wget
openSUSE Tumbleweed
  • libidn-devel >= 1.33-2.3
  • libidn-tools >= 1.33-2.3
  • libidn11 >= 1.33-2.3
  • libidn11-32bit >= 1.33-2.3
  • libidn2-0 >= 0.11-1.1
  • libidn2-0-32bit >= 0.11-1.1
  • libidn2-devel >= 0.11-1.1
  • libidn2-tools >= 0.11-1.1
Patchnames:
openSUSE Tumbleweed GA libidn-devel


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications libidn Released
SUSE Linux Enterprise 12 Module for Containers sles12-docker-image Released
SUSE Linux Enterprise 12 Module for Containers sles12sp1-docker-image Released
SUSE Linux Enterprise Desktop 11 SP2 libidn Released
SUSE Linux Enterprise Desktop 11 SP3 libidn Released
SUSE Linux Enterprise Desktop 11 SP4 libidn Released
SUSE Linux Enterprise Desktop 12 libidn Released
SUSE Linux Enterprise Desktop 12 SP1 libidn Released
SUSE Linux Enterprise Desktop 12 SP2 libidn Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libidn Released
SUSE Linux Enterprise Server 11 SP1 libidn Released
SUSE Linux Enterprise Server 11 SP1 LTSS libidn Released
SUSE Linux Enterprise Server 11 SP2 libidn Released
SUSE Linux Enterprise Server 11 SP2 LTSS libidn Released
SUSE Linux Enterprise Server 11 SP2 for VMware libidn Released
SUSE Linux Enterprise Server 11 SP3 libidn Released
SUSE Linux Enterprise Server 11 SP3 LTSS libidn Released
SUSE Linux Enterprise Server 11 SP3 for VMware libidn Released
SUSE Linux Enterprise Server 11 SP4 libidn Released
SUSE Linux Enterprise Server 12 libidn Released
SUSE Linux Enterprise Server 12 LTSS libidn Released
SUSE Linux Enterprise Server 12 SP1 libidn Released
SUSE Linux Enterprise Server 12 SP2 libidn Released
SUSE Linux Enterprise Server 12 SP5 libidn Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libidn Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libidn Released
SUSE Linux Enterprise Software Development Kit 11 SP2 libidn Released
SUSE Linux Enterprise Software Development Kit 11 SP3 libidn Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libidn Released
SUSE Linux Enterprise Software Development Kit 12 libidn Released
SUSE Linux Enterprise Software Development Kit 12 SP1 libidn Released